/* Monkey Machine Ltd. */

package com.mkeym.customsec.interfaces;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import java.rmi.RemoteException;
import java.sql.SQLException;
import javax.ejb.FinderException;
import com.mkeym.customsec.ejb.TradingAccountBean;
import java.util.Collection;

public interface TradingAccountHome extends EJBHome {
	/** @link dependency */

    /*#TradingAccountBean lnkEntity1Bean;*/

	TradingAccount create(String accountId) throws CreateException, RemoteException;

	TradingAccount findByPrimaryKey(String pk) throws FinderException, RemoteException;

	Collection findAll() throws RemoteException, FinderException;
}
