/* ew */

package com.mkeym.customsec.web;

import com.mkeym.customsec.interfaces.TradingAccountHome;
import java.io.IOException;
import javax.ejb.RemoveException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.MessageResources;
import java.util.*;

/** Implementation of <strong>Action</strong> which populates a list of accounts for rendering */
public final class ListAccountsAction extends CustomSecurityAction {
	/**  */
	public ActionForward perform(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
	    throws IOException, ServletException {
		    Collection accounts = null;
		    try {
			    TradingAccountHome ah = getTradingAccountHome();
			    accounts = ah.findAll();
		    } catch (Exception e) {
			    throw new ServletException(e);
		    }
		    request.setAttribute("accounts", accounts);
		    // Forward control to the success page
		    return (mapping.findForward("success"));
	}
}
