package com.mkeym.customsec.web;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import java.util.*;

/** Form bean for the trade page. NOT USED */
public final class TradeForm extends ActionForm {
	/** The maintenance action we are performing (Create or Edit). */
	private String action = "buy";
	private String stockName;
	private int quantity;
	private int accountName;

	/** Return the action. */
	public String getAction() {
		return (this.action);
	}

	/**
	 * Set the action.
	 * @param action The new maintenance action.
	 */
	public void setAction(String action) {
		this.action = action;
	}

	/**
	 * Reset all properties to their default values.
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		action = "buy";
	}

	/**
	 * Validate the properties that have been set from this HTTP request,
	 * and return an <code>ActionErrors</code> object that encapsulates any
	 * validation errors that have been found.  If no errors are found, return
	 * <code>null</code> or an <code>ActionErrors</code> object with no recorded error messages.
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();

/*		if ((name == null) || (name.length() < 1))
			errors.add("name", new ActionError("error.FAQName.required"));*/

		return errors;
	}

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public int getAccountName() {
		return accountName;
	}

	public void setAccountName(int accountName) {
		this.accountName = accountName;
	}
}
