/* Monkey Machine Ltd. */

package com.mkeym.customsec.interfaces;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import javax.ejb.EJBException;
import com.mkeym.customsec.ejb.TradingAccountBean;

public interface TradingAccount extends EJBObject {
	/** @link dependency */

    /*#TradingAccountBean lnkEntity1Bean;*/

	String getAccountId() throws RemoteException;

	void sell(String stock, int qty) throws RemoteException;

	void buy(String stock, int qty) throws RemoteException;

	int getBalance() throws RemoteException;
}
