/* ew */

package com.mkeym.customsec.web;

import com.mkeym.customsec.interfaces.*;
import java.io.IOException;
import javax.ejb.RemoveException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.MessageResources;
import java.util.*;

/** Implementation of <strong>Action</strong> */
public final class EditAccountAction extends CustomSecurityAction {
	/**  */
	public ActionForward perform(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
	    throws IOException, ServletException {
		    HttpSession session = request.getSession();
		    String action = request.getParameter("action");
		    String accountName = request.getParameter("account");
		    if (action == null)
			    action = "create";
		    if (servlet.getDebug() >= 1)
			    servlet.log("EditAccountAction: Processing " + action + " action");
		    TradingAccountHome home = getTradingAccountHome();
		    if (action.equals("create")) {
			    try {
				    home.create(accountName);
			    } catch (Exception e) {
				    e.printStackTrace();
			    }
		    }
		    // Forward control to the success page
		    if (servlet.getDebug() >= 1)
			    servlet.log(" Forwarding to 'success' page");
		    return (mapping.findForward("success"));
	}
}
